/* パンくず */
.breadcrumbs {
  height: unset;
}

.breadcrumbs ol {
  display: flex;
  gap: 1rem;
  list-style: none;
  padding: 0;
}

.breadcrumbs ol li:not(:last-child):after {
  content: "＞";
  margin-left: 1rem;
}

/* レイアウト調整 */
main.news-list,
main.news-detail {
  padding-top: 138px;
  transition: all .4s ease;
}

@media screen and (max-width: 870px) {

  main.news-list,
  main.news-detail {
    padding-top: 80px;
  }
}

main>div {
  margin: 0 auto;
  padding: 4rem 2rem;
  max-width: 1200px;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

main>div>article {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.archive-header h2 {
  font-size: 2rem;
}

/* news */
.archive-contents,
.single-contents {
  display: flex;
  flex-direction: row;
  gap: 1.5rem;
}

.archive-contents-inner,
.single-contents-inner {
  flex: 1;
}

.archive-contents-inner,
.single-contents-inner {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.single-contents-inner article {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.archive-sidenav {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  width: 280px;
}

.article-header h2 {
  font-size: 1.5rem;
}

.article-navigation {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-top: 2rem;
  border-top: 1px dashed #000;
}

/* .article-navigation .prev-post,
.article-navigation .next-post {
  flex:1;
} */

.wp-block-paragraph {
  line-height: 1.6;
}

.archive-sidenav>* {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1.25rem;
  border-radius: .5rem;
  background-color: #fff;
  width: 100%;
}

.sidenav-lavel {
  font-weight: bold;
  padding-bottom: .125rem;
  border-bottom: 1px solid #000;
  line-height: 1;
}

.archive-category ul {
  display: flex;
  flex-direction: row;
  gap: .5rem;
  font-size: .75rem;
}

.archive-category ul li a {
  display: inline-block;
  padding: .25rem .5rem;
  border: 1px solid #000;
  border-radius: 2px;
}

.archive-category p {
  font-size: 0.875rem;
  color: #ddd;
}

.post-grid {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.post-card a {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  padding: 1.25rem;
  border-radius: .5rem;
  background-color: #fff;
}

.post-card-content {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  flex: 1;
}

.post-card-content h3 {
  font-size: 1.125rem;
}

.post-card-content time {
  font-size: .75rem;
  border: 1px solid #000;
  line-height: 1;
  padding: .125rem .25rem;
  width: fit-content;
}

.post-card-content p {
  font-size: 0.875rem;
}

.post-thumbnail {
  width: 10rem;
}

.prev-post.pc:hover,
.next-post.pc:hover {
  text-decoration: underline;
}

/* pagination */
.pagination {
  display: flex;
  justify-content: center;
  gap: 8px;
}

.pagination .page-numbers {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  border: 1px solid #ddd;
  text-decoration: none;
}

.pagination .current {
  background: #333;
  color: #fff;
  border-color: #333;
}

.pagination .prev,
.pagination .next {
  width: auto;
  padding: 0 8px;
}

.pagination .dots {
  border: none;
}

.article-thumbnail {
  max-width: 480px;
}

.article-thumbnail img {
  width: 100%;
}

@media screen and (max-width: 960px) {
  .post-card a {
    flex-direction: column;
  }

  .post-thumbnail {
    width: 15rem;
  }
}

@media screen and (max-width: 768px) {

  .archive-contents-inner,
  .single-contents-inner {
    width: 100%;
    flex: unset;
  }

  .archive-contents,
  .single-contents {
    flex-direction: column;
    gap: 2rem;
  }

  .archive-sidenav {
    width: 100%;
    padding-top: 2rem;
    border-top: 1px #ccc dashed;
  }

  .post-thumbnail {
    width: 100%;
  }

  .prev-post.sp a,
  .next-post.sp a {
    padding: .25rem .5rem;
    border: 1px solid #000;
    display: inline-block;
  }

  .prev-post.sp a,
  .next-post.sp a {
    padding: .25rem .5rem;
    border: 1px solid #000;
    display: inline-block;
    border-radius: 2px;
    line-height: 1;
  }

  .prev-post.sp a:before {
    content: "<";
    margin-right: .25rem;
  }

  .next-post.sp a:after {
    content: ">";
    margin-left: .25rem;
  }

  .prev-post.sp a:hover,
  .next-post.sp a:hover {
    color: #fff;
    background-color: #000
  }

  .article-navigation {
    padding-top: unset;
    border-top: unset;
  }
}

.sp-navi-btn {
  border: 0.125rem solid #000;
}

.sp-navi-btn div {
  background-color: #000;
}